# List custom field values

List values under the same custom field

Endpoint: GET /v1/fields/{field_id}/values
Version: 1.0.0-beta
Security: OAuth2

## Path parameters:

  - `field_id` (string, required)
    The Field Brex identifier
    Example: "extended_field_foobar"

## Query parameters:

  - `brex_id[]` (array,null)
    Field value Brex identifier(s) to filter by
    Example: "efo_foobar"

  - `value_id[]` (array,null)
    Field value identifier(s) to filter by
    Example: "FooBar"

  - `remote_id[]` (array,null)
    Field value remote identifier(s) to filter by
    Example: "foo_bar"

  - `cursor` (string,null)
    The cursor to use for pagination. This is the next_cursor value returned from the previous response.

  - `limit` (integer,null)
    Controls the maximum number of field values returned in the response. It can't be greater than 1000.

  - `value` (string,null)
    Field value's value to filter by
    Example: "Foobar"

## Response 200 fields (application/json):

  - `next_cursor` (string,null)

  - `items` (array, required)

  - `items.brex_id` (string, required)
    The internal Brex ID of the field value
    Example: "efo_foobar"

  - `items.remote_id` (string,null)
    Remote/external ID of custom field value from external system (e.g. ERP or HRIS system)
    Example: "foo_bar"

  - `items.value_id` (string,null)
    The value ID or code of the field value; Usually it is a unique identifier for the custom field value in the remote system
    Example: "foo_bar"

  - `items.value` (string, required)
    The display name of the field value

  - `items.field_id` (string, required)
    The ID of the parent field this value belongs to
    Example: "extended_field_foobar"

  - `items.updated_at` (string, required)
    The last updated timestamp of the field value

  - `items.is_disabled` (boolean, required)
    Indicates if the field value is disabled


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 500 fields
